
Special thanks to AuahDark and hentaku for being the gods that carried us this far. If it wasn't for these two (and many others in the community), we would not have the game to play anymore!

Currently there are a few methods of playing SIF in a semi-online state, but you are the hoster of this server. There are however public CDN servers (hosting the game files like musics and story files). This is also self-hostable but there is no written guide for it at the moment.

## Setup for Android
Retrieve the APK file. There are many locations for this, but the main requirement is that it's patched to work with the server we'll be setting up. Try getting it at the locations below:

- [https://cdn.sif.moe/lovelive-community.apk](https://cdn.sif.moe/lovelive-community.apk)
- [https://pixeldrain.com/u/8vx6azHr](https://pixeldrain.com/u/8vx6azHr)

The differences of the ones above are JP and Global. Global has the following done to it:

- Automatic in-game language selection between English and Japanese based on system language or Android 13 per-app language setting.
- Runs natively in Android emulator. All binaries supported by Android, including x86-64, is available.
- Activates debug mode which show little bit of more information in-game.
- Backtrace, AppsFlyer, and Google Play is neutralized.
- Backtrace error is printed to logcat.
- Uses RSA private key from tungnotpunk/LLSIF@Home which should be compatible with LLSIF@Home and NPPS4.
- AppAssets.zip is patched to load from localhost:51376. This means it's compatible with LLSIF@Home and NPPS4.

Note: It does NOT contain patch to neutralize X-Message-Sign check. If you can't get XMS verification working, you need to patch it yourself. Well, you should make your private server generates correct XMS though.
Note2: It's recommended to launch the game in English for the first time. Otherwise, when you launch the game in Japanese for the first time, switching to English will erase all your game data (excluding your account). This logic is in the Lua script of the game. Help on neutralizing this behavior is welcome.

How to generate X-Message-Sign:
- [NPPS4](https://github.com/DarkEnergyProcessor/NPPS4/blob/b24b4e2a71be3c268c069a49bd3fae2bb25d7feb/npps4/util.py#L37-L42)
- [LLSIF@Home](https://codeberg.org/dic1911/LLSIF.local/src/commit/e7e780258dca86c2f1a77577897fad23298fe9c7/handler/util.js#L18-L34)

After the APK is retrieved and installed, then you should install the private server.

## Local server using LLSIF@Home
1. Install Termux (I recommend to download from [F-Droid](https://f-droid.org/en/packages/com.termux/), [direct link for latest release atm](https://f-droid.org/repo/com.termux_118.apk)) and open it. **Do not download from google play**. Termux on google play is outdated and will not work.
2. Run this command(s) inside of `Termux`:
```curl http://ll.sif.moe/android | bash```
***OR*** (if the command above fails do the commands below)
 ```wget http://ll.sif.moe/android```
 ```bash android```
(curl is broken currently, this will be one command if curl is fixed)
3. After it is done and it shows you the link to the discord/matrix server. Enter `exit` and re-launch termux.
4. You can run `runserver` to start the private server.
4. After this is done, you should be able to launch the game and it should just work. Message in the discord or matrix if help is needed.

## Local server using NPPS4
- Please refer to [this guide](https://gist.github.com/MikuAuahDark/eabf54e9db3f5004e3ccd9a72f0d79d5)

[^1]: https://love-live.fandom.com/wiki/Love_Live!_School_idol_festival
